<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for LWifiHotspot StructType
 * @subpackage Structs
 */
class LWifiHotspot extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The description
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 255
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $description;
    /**
     * The ssidPrefix
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $ssidPrefix;
    /**
     * The authenticationMethod
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $authenticationMethod;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for LWifiHotspot
     * @uses LWifiHotspot::setName()
     * @uses LWifiHotspot::setDescription()
     * @uses LWifiHotspot::setSsidPrefix()
     * @uses LWifiHotspot::setAuthenticationMethod()
     * @uses LWifiHotspot::setUuid()
     * @param string $name
     * @param string $description
     * @param string $ssidPrefix
     * @param string $authenticationMethod
     * @param string $uuid
     */
    public function __construct($name = null, $description = null, $ssidPrefix = null, $authenticationMethod = null, $uuid = null)
    {
        $this
            ->setName($name)
            ->setDescription($description)
            ->setSsidPrefix($ssidPrefix)
            ->setAuthenticationMethod($authenticationMethod)
            ->setUuid($uuid);
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LWifiHotspot
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LWifiHotspot
     */
    public function setDescription($description = null)
    {
        $this->description = $description;
        return $this;
    }
    /**
     * Get ssidPrefix value
     * @return string|null
     */
    public function getSsidPrefix()
    {
        return $this->ssidPrefix;
    }
    /**
     * Set ssidPrefix value
     * @param string $ssidPrefix
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LWifiHotspot
     */
    public function setSsidPrefix($ssidPrefix = null)
    {
        $this->ssidPrefix = $ssidPrefix;
        return $this;
    }
    /**
     * Get authenticationMethod value
     * @return string|null
     */
    public function getAuthenticationMethod()
    {
        return $this->authenticationMethod;
    }
    /**
     * Set authenticationMethod value
     * @param string $authenticationMethod
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LWifiHotspot
     */
    public function setAuthenticationMethod($authenticationMethod = null)
    {
        $this->authenticationMethod = $authenticationMethod;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LWifiHotspot
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
